#ifndef UTILS_H
#define UTILS_H

#include <string>
#include <vector>
#include "../check/check.h"

std::string to_utf8(std::wstring wide_string);
std::wstring from_utf8(std::string string);

std::string get_path_relative_to_home(std::string path);

template <typename T>
bool vector_contains_element(const std::vector<T> &vector, const T &to_find);

std::vector<std::string> split(std::string, std::string);

Check parseOfdRuAnswer(std::string);

std::wstring trim_html_response(std::wstring& check);

#endif // UTILS_H
